$(function () {

    /**/

    // Box Shadow fallback, to IE8<
    if ($.browser.msie && $.browser.version <= 8) {
        $("#main-content, .fn-box-shadow").boxShadow();
        $("#main-footer").boxShadow({ sides: 'top' });
    }

    // Custom Checkbox and Radio
    $('input:radio').screwDefaultButtons({
        image: 'url("/Content/img/custom-radio-screw.png")',
        width: 14,
        height: 15
    });

    $('input:checkbox').screwDefaultButtons({
        image: 'url("/Content/img/custom-checkbox-screw.png")',
        width: 15,
        height: 15
    });

    // Custom Select to Forms at Cadastro
    $('#contato .dropkick, #cadastro .dropkick').dropkick({
        theme: 'vichy_form'
    });

    //Custom Selects to Contato

    $('.dropkick_cadastro').dropkick({
        theme: 'vichy_blog',
        change: function () {

            $("#estado").trigger('change');
            /*$("#dk_container_cidade").remove();*/


            $("#cidade").dropkick({

                theme: 'vichy_blog'

            });

        }
    });

    // Custom Select to Products page
    $('#produtos .dropkick').dropkick({
        theme: 'vichy_product'
    });

    // Select do Cadastro de Produtos do Admin
    $('.dk-min-width .dropkick').dropkick({
        theme: 'vichy_product'
    });

    // Custom Select to blog page
    $('.dropkick').dropkick({

        theme: 'vichy_blog'
    });

    // Custom Scroll
    $('.scroll-pane, .scroll-painel').jScrollPane({
        contentWidth: '0px',
        autoReinitialise: true
    });

    // Quick search :: Common onAfter Function
    var reinitialiseScrollOnAfter = function () {
        // Reinitialise "jScrollPane" of this object, to calculate the scrollbar size again
        if ($('#sidebar .scroll-pane').size() > 0) {
            $('#sidebar .scroll-pane').data('jsp').reinitialise();
        }
    }

    // FAQ :: QuickSearch
    $('#faq #quicksearch-input').quicksearch('#sidebar .quicksearch-target li', {
        onAfter: reinitialiseScrollOnAfter
    });




    // Menu :: QuickSearch
    $('.busca-prod-menu #quicksearch-input').quicksearch('.busca-prod-menu .quicksearch-target div', {
        onAfter: reinitialiseScrollOnAfter
    });
    // Quick search :: Common onAfter Function
    var reinitialiseScrollOnAfter = function () {
        // Reinitialise "jScrollPane" of this object, to calculate the scrollbar size again
        if ($('.busca-prod-menu .scroll-painel').size() > 0) {
            $('.busca-prod-menu .scroll-painel').data('jsp').reinitialise();
        }
    }





    //FAQ: Mostrar e esconder perguntas

    $(".faqItem").click(function () {

        var id_produto = $(this).attr("rel");

        $(".pergunta").hide();

        $("." + id_produto).show();

        reinitialiseScrollOnAfter();

    });

    // ENCICLOPÉDIA :: QuickSearch
    // Specific Behavior in case of "ENCICLOPÉDIA". Hiding the index Letter
    $('#enciclopedia #quicksearch-input').quicksearch('#sidebar .quicksearch-target .index-item li', {
        onAfter: function () {

            // To hide parent element (index letter)
            $(".index-item").each(function () {
                var $this = $(this);
                if ($this.find("li:visible").size() < 1) {
                    $this.hide();
                }
            })

            reinitialiseScrollOnAfter();
        },
        show: function () {
            this.style.display = "";

            // To show parent element (index letter)
            $(this).parents(".index-item").show();
        }
    });

    // ColorBox :: Videos
    $(".video-pop").colorbox({ iframe: true, width: "640", height: "400", maxWidth: "90%", maxHeight: "90%" });

    // Content Slider :: Page Vichy
    $(".slider-content").contentSlider();

    // Vichy-menu Main Menu
    // TODO :: Organizar esse código
    $(".vichy-menu .option").on('click', function (e) {
        e.preventDefault();
        var $this = $(this);
        var $relObj = $("#" + $this.attr("rel"));

        if ($relObj.size() < 1 || $("#vichy section:visible").get(0) === $relObj.get(0)) {
            return;
        }

        $(".vichy-menu .option").removeClass("current");
        $this.addClass("current");

        $("#vichy section:visible").fadeOut(function () {
            $relObj.fadeIn();
        });
    });

    // Product :: image gallery
    $('.bx-gallery').bxGallery({
        maxwidth: 420,
        maxheight: 330,
        thumbplacement: 'bottom',
        opacity: .5
    });

    // Product :: tab
    $('#tab-container').easytabs();

    // Home :: Navigation
    $("#home").navFloating({
        targetSel: ".post-box",
        startAtPage: 1
    });

    // Include class bg-green that will change the background to the green image
    $('#produtos.interna, #produtos.gama').parents("body").addClass("bg-green");



})